PE2600 : megaraid PERC4/Di, PERC 3/DC and latest RHAS kernel (e.2 7)

Seth Mos knuffie at xs4all.nl
Wed Oct 15 11:06:00 CDT 2003


At 16:21 15-10-2003 +0200, Eddy.COLLART at cec.eu.int wrote:
>Hi Paul, Matt and all,
>
>Now, I upgraded the kernel to the 2.4.9-e27 and when I use that kernel, it
>gets stuck with SCSI errors whatever the way I do :
>- upgrade using a RedHat binary RPM
>- upgrade using a source RedHat RPM
>- upgrade using a source RedHat RPM, replace the megaraid and install the
>megaraid2 drivers from LSI logic in the source tree then activate module
>support and recompile. (after changing highmem_io like others had to some
>time ago)

Check cabling?! I had no big problems with the megaraid 1.18f-h releases 
with the Perc4 so far. I did get the box to fall over with megaraid 2.00.3 
using a bonnie with write caching off, I havn't tried 2.00.9 yet since the 
machine is now in production.

I am not using the enterprise kernel on this box since it tends to get 
stuck trying to access the LTO tape drive. We are using the 2.4.20-20.7 
kernel from the Red Hat 7.3 errata tree.

So far it's working marvels.

Make sure you tune the read-ahead settings in this kernels so you actually 
get any usable speed out of the disk system. They were lowered in 2.4.20.

Good Luck


--
Seth
It might just be your lucky day, if you only knew.




More information about the Linux-PowerEdge mailing list